#include <ESP8266WiFi.h>
#include <WiFiClient.h>
#include <ESP8266WebServer.h>

const char* ssid = "Joker1234";
const char* password = "Joker1234";
 
ESP8266WebServer server(80); //Esp8266 Server running on port 80 

void handleRoot() // / response is written here 
{
 String s = "<html><body><h3>Please enter your name :</h3><form action=\"data\" ><input type=\"text\" name=\"user\"><input type=\"submit\" value=\"submit\"></form></body></html>"; //Read HTML contents
 server.send(200, "text/html", s); //Send web page
}

void data()  // /data response is written here 
{
Serial.println("User has entered name :"+server.arg("user"));
String response="<h1>";
response+="Hello :";
response+=server.arg("user");
response+="</h3>";
 server.send(200, "text/html", response); //Send web page 
}

void setup(void){
  Serial.begin(115200); 
  WiFi.begin(ssid, password);     //Connect to your WiFi router
  // Wait for connection
  while (WiFi.status() != WL_CONNECTED) {
    delay(500);
    Serial.print(".");
  }
  Serial.print("Connected to ");
  Serial.println(ssid);
  Serial.print("IP address: ");
  Serial.println(WiFi.localIP());  //IP address assigned to your ESP
 
  server.on("/", handleRoot);      //URL request mapping and adding handler for / request
  server.on("/data", data);      //URL request mapping and adding handler for /data request
 
  server.begin();                  //Start server
  Serial.println("HTTP server has started");
  Serial.println("Please go to browser and enter following IP address and hit Enter");
  Serial.println(WiFi.localIP());  //You server IP address
}

void loop(void){
  server.handleClient();          //Handle client requests
}
